import Vue from 'vue'
import App from './App.vue'
// 引入路由文件
import router from './router/index'

//引入store
import store from './store'





// 引入样式

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

import './assets/styles/index.css'

//引入rem字体配置
import '@/assets/js/flexible.js';

//引入
import echarts from 'echarts'
Vue.prototype.$echarts = echarts

//引入公共文件 （websocket）
import global from '@/assets/js/global.js'
Vue.prototype.global = global

Vue.config.productionTip = false

new Vue({
    router,
    store,
    render: h => h(App),
}).$mount('#app')